#!/bin/sh
#                 Sun Public License Notice
# 
# The contents of this file are subject to the Sun Public License
# Version 1.0 (the "License"). You may not use this file except in
# compliance with the License. A copy of the License is available at
# http://www.sun.com/
# 
# The Original Code is NetBeans. The Initial Developer of the Original
# Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
# Microsystems, Inc. All Rights Reserved.

################################################################
# Loader for IDE command-line mode, using the scripting module support.
# The script-language can be chosen by using the -t flag (e.g. -t JPython).
# Current languages supported are BeanShell (default), JPython, and DynamicJava.
################################################################

PRG=$0

#
# resolve symlinks
#

while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
    if expr "$link" : '^/' 2>/dev/null >/dev/null; then
	PRG="$link"
    else
	PRG="`dirname $PRG`/$link"
    fi
done

opts=""
while [ $# -gt 0 ] ; do
    opts="$opts \"$1\""
    shift
done
    
ide=org.netbeans.core.NonGuiMain

eval `dirname $PRG`/../runide.sh -mainclass $ide $opts
